package org.example.petshopdesktop.api.dto.adoption;

import java.math.BigDecimal;
import java.time.LocalDate;

public class AdoptionRequest {
    private Long petId;
    private Long customerId;
    private Long employeeId;
    private Long sourceStoreId;
    private LocalDate adoptionDate;
    private String adoptionStatus;
    private BigDecimal adoptionFee;

    public AdoptionRequest() {
    }

    public Long getPetId() {
        return petId;
    }

    public void setPetId(Long petId) {
        this.petId = petId;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    public Long getEmployeeId() {
        return employeeId;
    }

    public void setEmployeeId(Long employeeId) {
        this.employeeId = employeeId;
    }

    public Long getSourceStoreId() {
        return sourceStoreId;
    }

    public void setSourceStoreId(Long sourceStoreId) {
        this.sourceStoreId = sourceStoreId;
    }

    public LocalDate getAdoptionDate() {
        return adoptionDate;
    }

    public void setAdoptionDate(LocalDate adoptionDate) {
        this.adoptionDate = adoptionDate;
    }

    public String getAdoptionStatus() {
        return adoptionStatus;
    }

    public void setAdoptionStatus(String adoptionStatus) {
        this.adoptionStatus = adoptionStatus;
    }

    public BigDecimal getAdoptionFee() {
        return adoptionFee;
    }

    public void setAdoptionFee(BigDecimal adoptionFee) {
        this.adoptionFee = adoptionFee;
    }
}
